CORBA_IDL = ${CORBA_INSTALL}/share/idl/omniORB

all: ${OUTPUTS}/all.hh

${OUTPUTS}/all.hh: ${OUTPUTS}/updated-flag

${OUTPUTS}/updated-flag: ${SRCROOT}/all.idl ${SRCROOT}/IDL.make
	echo $CORBA_IDL
	mkdir --parents ${OUTPUTS}
	omniidl -bcxx -C${OUTPUTS} -Wba -Wbexample -Wbtp -I${CORBA_IDL} -I${CORBA_IDL}/COS ${SRCROOT}/all.idl
	echo Updated `date` > ${OUTPUTS}/updated-flag
